repo/gentoo:master commit in: dev-python/pytest-forked/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786243017.b355dc14c0e5eb555a7f36b94dd59f59e87eea83.mgorny@gentoo> |
commit: b355dc14c0e5eb555a7f36b94dd59f59e87eea83
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 02:08:20 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 02:36:57 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b355dc14
dev-python/pytest-forked: Bump to 1.7.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-forked/Manifest | 2 +
.../pytest-forked/pytest-forked-1.7.5.ebuild | 43 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/pytest-forked/Manifest b/dev-python/pytest-forked/Manifest
index e09cede00fd1..7f44a390bf9b 100644
--- a/dev-python/pytest-forked/Manifest
+++ b/dev-python/pytest-forked/Manifest
@@ -1 +1,3 @@
DIST pytest-forked-1.6.0.tar.gz 9977 BLAKE2B cfef0ce10c9690894de14ed503ba74244c99c235838039f800b2c26430258e62c98fcc49d9e59b240b2ceee79e467bfbf0da5c96bc4a2d59770ceadd5021a5a9 SHA512 28fedc56fd696a4e7cf528034056849eff14094d5e7f0e94c7c477a7e91e42c08988769cf6f40d25fe8823399e552253cde2198121dd6a9e475fb6a8ce358cad
+DIST pytest_forked-1.7.5.tar.gz 12981 BLAKE2B 60d5f21fb4370b3593bc2bdc3f0a8d42f276becaa25c1e8599058068fd033aa3d11d81826b5df29dba749b0d8a044792cee9255027b6f63e26b5e460ad1ff027 SHA512 0aa6748a24e7e2fb6e4d217e4a0fb8b0a2c9f680a8c7db1dfd168a646ca15c5f303db9be4aa459d02d5686b7cf580b20f73a4ce8911bb9ae2d45ca0450ed63a5
+DIST pytest_forked-1.7.5.tar.gz.provenance 9803 BLAKE2B 172b3d40f51faff43fe6bab1e3833de6be6e473f64e2402fae8ad45a2a9aba18863a6b3a715f433456a6fe903efb02f787389fb0c1c53f1af78f6395eec19046 SHA512 0380a675a6c164b01a994aede7e8fd0e4a72f8ee7c59cfce39645360a1f4a416954100a9804abc949616a197eea39b53a5fbf9a6e6d10e70595b45e40db76a09
diff --git a/dev-python/pytest-forked/pytest-forked-1.7.5.ebuild b/dev-python/pytest-forked/pytest-forked-1.7.5.ebuild
new file mode 100644
index 000000000000..f94b71934c50
--- /dev/null
+++ b/dev-python/pytest-forked/pytest-forked-1.7.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/pytest-dev/pytest-forked
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Run tests in isolated forked subprocesses"
+HOMEPAGE="
+ https://pypi.org/project/pytest-forked/
+ https://github.com/pytest-dev/pytest-forked/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( ${PN} )
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # this is not printed when loaded via PYTEST_PLUGINS
+ sed -e '/loaded_pytest_plugins/d' -i testing/test_xfail_behavior.py || die
+}
+
+python_test() {
+ local -x COLUMNS=80 # tests check output bug #754165
+ epytest -o tmp_path_retention_count=1
+}